> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Object Subscriptions

> API to remove object subscribers (users or child objects).



## OpenAPI

````yaml DELETE /v1/object/{object_type}/{id}/subscription/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/object/{object_type}/{id}/subscription/:
    delete:
      summary: Remove Object Subscriptions
      description: API to remove object subscribers (users or child objects).
      operationId: delete-object-subscriptions
      parameters:
        - name: id
          in: path
          description: Unique identifier of the object in your system
          schema:
            type: string
          required: true
        - name: object_type
          in: path
          description: >-
            Used to group similar objects together. Give plural namespace like
            teams, organizations, and roles.
          schema:
            type: string
          required: true
        - name: recipients
          in: query
          description: >-
            List of recipients to be notified. Provide recipient IDs as a
            comma-separated list (e.g., `id1,id2,id3`).
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                recipients:
                  type: array
                  description: >-
                    List of recipients to be notified. You can either add
                    recipient as array of distinct_ids or array of recipient
                    objects. You can add up to 100 recipients in a single API.
                  items:
                    oneOf:
                      - type: string
                        description: Pass user distinct_ids in array as `["id1","id2"]`
                      - type: object
                        description: Pass object to be deleted in json
                        required:
                          - id
                          - object_type
                        properties:
                          id:
                            type: string
                            description: Unique identifier of the object
                            example: frontend
                          object_type:
                            type: string
      responses:
        '204':
          description: 204 - No Content
          content:
            application/json:
              examples:
                Result:
                  value: null
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    message: object 'object_type/id' not found
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: Error code indicating a bad request.
                  message:
                    type: string
                    description: Detailed error message explaining the issue.
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````